all : premierTest clean

premierTest : premierTest.o
	gcc -Wall premierTest.o -o premierTest `pkg-config --cflags --libs gtk+-3.0 gmodule-2.0`

premierTest.o : premierTest.c
	gcc -Wall -c premierTest.c `pkg-config --cflags --libs gtk+-3.0 gmodule-2.0`

clean : premierTest
	rm *~ *.o
